--- ./src/gdbmtool.h.save	Thu Aug 29 03:49:56 2019
+++ ./src/gdbmtool.h	Thu Aug 29 04:05:50 2019
@@ -26,12 +26,20 @@
 #include <limits.h>
 
 #ifndef GDBM_ARG_UNUSED
-# define GDBM_ARG_UNUSED __attribute__ ((__unused__))
+# ifdef __GNUC__
+#  define GDBM_ARG_UNUSED __attribute__ ((__unused__))
+# else
+#  define GDBM_ARG_UNUSED
+# endif
 #endif
 
 #ifndef GDBM_PRINTFLIKE
-# define GDBM_PRINTFLIKE(fmt,narg) \
+# ifdef __GNUC__
+#  define GDBM_PRINTFLIKE(fmt,narg) \
   __attribute__ ((__format__ (__printf__, fmt, narg)))
+# else
+#  define GDBM_PRINTFLIKE(fmt,narg)
+# endif
 #endif
 
 /* Position in input file */
